DEVICE_DEL(9)

NAME
device_del - delete device from system.

SYNOPSIS

void device_del (struct device * dev);

ARGUMENTS

dev device.

DESCRIPTION

This is the first part of the device unregistration sequence. This removes the device from the lists we control from here, has it removed from the other driver model subsystems it was added to in device_add, and removes it from the kobject hierarchy.

NOTE

this should be called manually _iff_ device_add was also called manually.